%define req_atk_version 1.13.1

%define lib_major	18
%define lib_name	%mklibname %{name} %{lib_major}

Summary: GNOME Accessibility Implementation Library
Name: gail
Version: 1.18.0
Release: %mkrel 1
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: LGPL
Url: http://developer.gnome.org/projects/gap/
Group: Accessibility
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgnomecanvas2-devel >= 2.0.0
BuildRequires: atk-devel >= %{req_atk_version}
BuildRequires: gtk+2-devel >= 2.3.4
BuildRequires: gtk-doc
#ugly obsoletes to smooth upgrade
Obsoletes: lib%{name}13
Provides: lib%{name}13


%description
Gail is the GNOME Accessibility Implementation Library

%package -n %{lib_name}
Summary:	GNOME Accessibility Implementation Library
Group:		%{group}

Provides:	lib%{name} = %{version}-%{release}
Requires:   %{name} >= %{version}-%{release}
Conflicts:	%{name} < 1.9.4-2mdv


%description -n %{lib_name}
Gail is the GNOME Accessibility Implementation Library

%package -n %{lib_name}-devel
Summary:	Static libraries, include files for GAIL
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Conflicts:	%{_lib}%{name}17-devel

%description -n %{lib_name}-devel
Gail is the GNOME Accessibility Implementation Library


%prep
%setup -q

%build
%configure2_5x --enable-gtk-doc

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
%find_lang %name
# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
  
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{name} -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS NEWS 

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/gtk-2.0/modules/*.so

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.18.0-1mdv2007.1
+ Revision: 141739
- new version
- readd ChangeLog

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 1.17.0-1mdv2007.1
+ Revision: 119010
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 1.10.1-1mdv2007.1
+ Revision: 111824
- new version

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 1.10.0-1mdv2007.1
+ Revision: 106088
- new version
- bump deps

* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 1.9.4-2mdv2007.1
+ Revision: 102443
- Fix biarch
- Add conflicts to ease upgrade

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 1.9.4-1mdv2007.1
+ Revision: 98489
- new version
- drop patch

* Mon Dec 04 2006 Frederic Crozat <fcrozat@mandriva.com> 1.9.3-4mdv2007.1
+ Revision: 90476
- Patch0 (CVS): fix crash in gimp (GNOME bug #382255)

* Thu Oct 12 2006 Götz Waschk <waschk@mandriva.org> 1.9.3-3mdv2007.1
+ Revision: 63814
- rebuild
- rebuild
- Import gail




* Tue Oct 03 2006 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdv2007.0
- New version 1.9.3

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 1.9.2-1mdv2007.0
- New release 1.9.2

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 1.9.1-1
- New release 1.9.1

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 1.9.0-3mdv2007.0
- Add conflicts to ease upgrade

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 1.9.0-2mdv2007.0
- Fix major

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 1.9.0-1mdk
- New release 1.9.0

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 1.8.11-1mdk
- New release 1.8.11

* Tue Feb 21 2006 Götz Waschk <waschk@mandriva.org> 1.8.10-1mdk
- New release 1.8.10

* Tue Feb 14 2006 Götz Waschk <waschk@mandriva.org> 1.8.9-1mdk
- New release 1.8.9
- use mkrel

* Tue Nov 29 2005 Gtz Waschk <waschk@mandriva.org> 1.8.8-1mdk
- drop patch
- New release 1.8.8

* Mon Nov 28 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.7-2mdk
- Patch0 (CVS): fix treeview destruction

* Thu Nov 24 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.7-1mdk
- Release 1.8.7

* Wed Nov 16 2005 Götz Waschk <waschk@mandriva.org> 1.8.6-1mdk
- New release 1.8.6

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.5-1mdk
- Release 1.8.5

* Fri Apr 29 2005 Gtz Waschk <waschk@mandriva.org> 1.8.4-1mdk
- New release 1.8.4

* Fri Apr 15 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.3-1mdk 
- Release 1.8.3

* Tue Jan  4 2005 Goetz Waschk <waschk@linux-mandrake.com> 1.8.2-1mdk
- New release 1.8.2

* Tue Dec  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.8.1-1mdk
- New release 1.8.1

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.8.0-1mdk
- New release 1.8.0

* Tue Jun  8 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.6.6-1mdk
- New release 1.6.6

* Tue May 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.5-1mdk
- reenable libtoolize
- New release 1.6.5

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4-1mdk
- build with gtk-doc
- New release 1.6.4

* Tue Apr 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.3-1mdk
- New release 1.6.3

* Mon Apr 19 2004 Goetz Waschk <goetz@mandrakesoft.com> 1.6.2-1mdk
- New release 1.6.2

* Wed Apr  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-1mdk
- new version

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.0-1mdk
- Release 1.6.0 (with Gtz help)
- requires new gtk & atk
- add translations

* Thu Nov 06 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1

* Thu Sep 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.0-3mdk
- fix deps, maintainer still not capable to be consistent

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-2mdk
- Fix BuildRequires

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.6-1mdk
- Release 1.3.6

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.5-1mdk
- Release 1.3.5

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.4-1mdk
- Release 1.3.4

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.3-1mdk
- Release 1.3.3

* Fri May 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.1-1mdk
- Release 1.3.1

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.0-1mdk
- Release 1.3.0

* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.7-1mdk
- Release 1.1.7

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.5-1mdk
- Release 1.1.5

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.4-1mdk
- Release 1.1.4

* Wed Nov 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.3-1mdk
- Release 1.1.3

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.2-1mdk
- Release 1.1.2

* Tue Jul 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17-1mdk
- Release 0.17

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-1mdk
- Release 0.16

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-1mdk
- Release 0.15

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.13-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13-1mdk
- Release 0.13

* Mon Apr  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- Release 0.11

* Mon Mar 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Initial Mdk package


# end of file
